メインコンテンツまでスキップ

Partition の有無 (V2)

この操作は、partition が存在するかどうかを確認します。

POST/v2/vectordb/partitions/has
接続エンドポイント

https://${CLUSTER_ENDPOINT}

📘ノート
  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key または username:password のようにコロンで結合した username と password のペアである必要があります。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ
dbNamestring

既存の database の名前。

collectionNamestring必要

既存の collection の名前。

partitionNamestring必要

テスト対象の partition の名前。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/partitions/has" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"partitionName": "january",
"collectionName": "test_collection"
}'
レスポンス

指定された partition が存在するかどうかを示す boolean 値。

codeinteger

レスポンスコード。

値の例: 0
dataobject

boolean 値を含むレスポンスペイロード。

hasboolean

指定された partition が存在するかどうかを示す boolean 値。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"has": true
}
}